Subject: bug#21871: Emacs Lisp Mode (at least): spurious parens in column 0 don't get bold red highlighting.

From: Alan Mackenzie <[email-masked]>
Date: 12 Nov 2015 12:44:49 -0000

In article <[email-masked]> you wrote:
> In the Emacs manual page "Left Margin Paren", it says that:

>    To help you catch violations of this convention, Font Lock mode
>    highlights confusing opening delimiters (those that ought to be quoted)
>    in bold red.

> , where "this convention" is the convention of not putting opening parens
> in column 0 when they aren't at the beginning of defuns.

> In Emacs Lisp Mode, this highlighting isn't done.  It isn't in CC Mode,
> either.

> This is either a bug in the code, or a bug in the documentation.  I
> rather tend to the view that this bold red highlighting should be done
> when open-paren-in-column-0-is-defun-start is non-nil.  I think it did,
> at one stage, but searching the emacs-devel archives doesn't reveal what
> happened.

Thinking about it, this is surely a bug in the documentation.  The only
way Font Lock (or anything else) could pick out an offending paren would
be to scan a buffer from BOB.  This would rather defeat the point of the
paren in column 0 convention.

I'll patch the doc.

-- 
Alan Mackenzie (Nuremberg, Germany).